<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="yes" encoding="utf-8" doctype-public="-//W3C//DTD HTML 4.01 Transitional//EN"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
<html>
<!-- av-199 -->
		<head>
			<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
			<xsl:apply-templates select="META-TAGS"/>
			<link href="css/styles.css" rel="stylesheet" type="text/css" />
		</head>
		
		
<body MARGINHEIGHT="0" MARGINWIDTH="0" TOPMARGIN="0" RIGHTMARGIN="0" BOTTOMMARGIN="0" LEFTMARGIN="0">
<table width="100%" height="100%" border="0" cellspacing="0" cellpadding="0">
  <tr>
    <td><table width="100%" height="100%" border="0" align="center" cellpadding="0" cellspacing="0" bordercolor="#FFFFFF">
      <tr>
        <td width="100%" height="60" valign="bottom" background="images/menu_bg.gif">
		  <!-- MENU -->
		<table  border="0" align="center" cellpadding="0" cellspacing="0">
         <xsl:call-template name="TOP-MENU"/>
        </table>
		  <!-- END MENU -->	
          <table width="528"  border="0" cellspacing="0" cellpadding="0">
            <tr>
              <td width="528"></td>
            </tr>
          </table></td>
        <td width="1" background="images/header_line3.gif"></td>
        <td width="248" rowspan="2" class="line_3" bgcolor="#FFFFFF">		
		 <!-- LOGO -->
		<table width="215" border="0" align="center" cellpadding="0" cellspacing="0">
          <tr>
            <td style="padding-left: 6px;"><div align="center"><a href="./"><img src="images/{LOGO/@NAME}" border="0" alt=""/></a></div></td>
            <td class="company" style="padding-left: 7px;padding-right: 6px;"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></td>
          </tr>
        </table>
		<!-- END LOGO -->
		</td>
      </tr>
      <tr>
        <td height="55" colspan="2" background="images/header_5.jpg"><img src="images/header_1.jpg"/></td>
        </tr>
      <tr>
        <td colspan="2" height="141"  width="532" background="images/header_4.jpg"><img src="images/header_2.jpg"/></td>
        <td height="141" width="532" background="images/header_4.jpg"><table width="73%"  border="0" align="center" cellpadding="0" cellspacing="0">
          <tr>
            <td class="slogan"><div align="center"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></div></td>
          </tr>
        </table></td>
      </tr>
      <tr>
        <td colspan="2" valign="top" class="line" bgcolor="#FFFFFF">
		 <!-- CONTENT -->
		<table width="100%"  border="0" cellspacing="0" cellpadding="0" class="pageContent">
          <tr>
            <td valign="top" bgcolor="#FFFFFF" style="padding:25px">
              <table border="0" cellspacing="0" cellpadding="0">
                <tr>
                  <td class="text-header"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
				  <td style="padding-left:8px"><img src="images/text_header.gif"/></td>
                </tr>
              </table>
<table border="0" cellspacing="0" cellpadding="0" width="100%">
<tr>
	<td class="pageContent" name="SB_stretch" width="100%" valign="top" style="padding-top: 15px;">
	<xsl:apply-templates select="PAGE-CONTENT"/>
	</td>
</tr>
</table>
          </td></tr>
        </table>
		   <!-- END CONTENT -->
		</td>
        <td valign="top" class="line_3" bgcolor="#FFFFFF">
		 <!-- SUBMENU --> 
		<table width="170"  border="0" align="center" cellpadding="0" cellspacing="0">
          <tr>
            <td width="20" height="15"></td>
            <td width="150" height="32"></td>
          </tr>
          <xsl:call-template name="SUB-MENU">
          <xsl:with-param name="pageID" select="@ID"/>
          </xsl:call-template>
          <tr>
            <td height="30" colspan="2"></td>
          </tr>
        </table>
		 <!-- END SUBMENU -->
		</td>
      </tr>
      <tr>
        <td height="57" background="images/bmenu_bg.gif" valign="bottom">
		<!-- BOTTOM MENU -->
		<table  border="0" align="center" cellpadding="0" cellspacing="0" height="57">
          <tr>
             <xsl:call-template name="BOTTOM-MENU"/>
          </tr>
        </table>
		<!-- BOTTOM MENU -->
		</td>
        <td width="1" height="57" background="images/header_line3.gif"><img src="images/header_line4.gif"/></td>
       
	       <!-- FOOTER -->
	    <td bgcolor="#FFFFFF" class="copyright" style="border-left-width: 1px;
	border-left-style: solid;
	border-left-color: #CCCCCC;"><div align="center"><xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/></div></td>
     <!-- END FOOTER -->
      </tr>
    </table></td>
  </tr>
</table>
</body>

</html>



</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >
	       <tr>
            <td height="25" style="padding-right:10px"><img src="images/sub_button.gif" width="11" height="10"/></td>
            <td height="32" class="submenua" ><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
          </tr>
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
	        <tr>
            <td height="25"  style="padding-right:10px"><img src="images/sub_button.gif" width="11" height="10"/></td>
            <td height="32" class="submenu"><a href="{@HREF}" class="submenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
            </tr>
			</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
           <tr>
            <td colspan="2"><div style="height:1px; background-color: #D1D1D1; background-repeat: repeat-x;"><span></span></div></td>
          </tr>
	</xsl:if>
</xsl:template>	
<xsl:template name="BOTTOM-MENU">   		
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>
		
<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
       <!-- when vizited inside-->
       	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID">
            <td class="bmenua" style="padding-left: 8px;padding-right: 8px;"><div align="center" class="bmenu" id="abmenu"><a href="{@HREF}" class="bmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></div></td>
		 </xsl:when>
           <!-- when active-->
           
           <xsl:otherwise>
            <td class="bmenu" style="padding-left: 8px;padding-right: 8px;"><div align="center" class="bmenu" id="bmenu{position()}"><a href="{@HREF}" class="bmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></div></td>
		   </xsl:otherwise>
       </xsl:choose>
  		<xsl:if test="position()!=last()">
            <td valign="bottom"><img src="images/foot_button.gif"/></td>
  		</xsl:if>
</xsl:template>
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}"><xsl:attribute name="content"><xsl:value-of select="." disable-output-escaping="yes"/></xsl:attribute></meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>
