<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="yes" encoding="utf-8" doctype-public="-//W3C//DTD HTML 4.01 Transitional//EN"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<html>
<!-- av-206 -->
		<head>
			<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
			<xsl:apply-templates select="META-TAGS"/>
			<link href="css/styles.css" rel="stylesheet" type="text/css" />
		</head>
<body style="margin:0px;" bgcolor="#ffffff">
<table width="100%" height="100%" border="0" align="center" cellpadding="0" cellspacing="0" bgcolor="#ffffff">
  <tr>
    <td height="43" colspan="2" background="images/bgd.jpg">
	<table width="100%" height="43"  border="0" cellpadding="0" cellspacing="0">
      <tr>
        <td style="background-image: url(images/bg01.jpg); background-repeat: no-repeat; background-position: left center;">
		<div align="center"></div>
            <!-- MENU -->
			<table  border="0" align="center" cellpadding="0" cellspacing="0">
              <tr>
                <td width="8" class="menu"></td>
<xsl:call-template name="TOP-MENU"/>
                <td width="8" class="menu"></td>
              </tr>
          </table>
		  <!-- END MENU -->
		  </td>
      </tr>
    </table></td>
  </tr>
  <tr background="images/headerbg.jpg">
    <td height="287" colspan="2" valign="top" background="images/headerbg.jpg"><table width="100%"  border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td height="287" valign="top" style="background-image: url(images/header.jpg);
	background-repeat: no-repeat;
	background-position: left center;"><table width="100%"  border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td height="170" valign="top" style="padding-top: 15px; padding-left: 240px;">
		<!-- LOGO -->
		<table width="300"  border="0" cellpadding="0" cellspacing="0" class="m">
            <tr>
              
              <td class="m"><div align="center"><a href="./"><img src="images/{LOGO/@NAME}" border="0" alt=""/></a>
</div></td>
            </tr>
            <tr>
              <td class="company"><div align="center"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/>
</div></td>
            </tr>
        </table>
		<!-- END LOGO -->
			</td>
          </tr>
          <tr>
            <td height="117" align="right" valign="top" style="padding-right: 50px;" class="slogan">
			<xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/>
			</td>
          </tr>
        </table>

	</td>
      </tr>
    </table>	</td>
  </tr>
  <tr bgcolor="#596B6C">
    <td width="194" valign="top" class="m">
	<div style="width:194px; height:25px;"><span></span></div>
	<!-- SUBMENU -->
	<table width="150"  border="0" align="center" cellpadding="0" cellspacing="0">
<xsl:call-template name="SUB-MENU">
<xsl:with-param name="pageID" select="@ID"/>
</xsl:call-template>
    </table>
	<!-- END SUBMENU -->
	</td>
    <td valign="top" width="100%" height="100%">
	<!-- CONTENT -->
	<table width="100%" height="100%" border="0" cellpadding="0" cellspacing="0" class="pageContent">
      <tr>
        <td width="100%" height="100%" valign="top" style="padding: 25px;">
			<!-- CONTENT -->
			<table cellpadding="0" cellspacing="0" border="0">
				<tr>
					<td class="text-header"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
					<td style="padding-left: 5px;"><img src="images/006.gif" alt="" width="17" height="17" border="0"/></td>
		  		</tr>
			</table>
			<div style="width:0px; height:15px;"><span></span></div>
	   		<table width="100%" height="100%" ><tr><td width="100%" height="100%" valign="top" class="pageContent" name="SB_stretch"><xsl:apply-templates select="PAGE-CONTENT"/></td>
	   		</tr></table>
			<!-- END CONTENT -->
			</td>
      </tr>
    </table>
	<!-- END CONTENT -->
	</td>
  </tr>
  <tr bgcolor="#FFFFFF">
    <td colspan="2" height="1"></td>
  </tr>
  <tr valign="top"  background="images/001.gif">
    <td colspan="2" class="m"  background="images/001.gif"><table align="center" cellpadding="0" cellspacing="0">
      <tr><!-- BOTTOM MENU -->
        <td width="30"></td>
<xsl:call-template name="BOTTOM-MENU"/>
        <td width="30"></td>
        <!-- END BOTTOM MENU -->
      </tr>
      <tr>
        <td></td>
        <!-- FOOTER -->
        <td colspan="11" class="copyright">
		<div align="center" style="padding:10px;">
		<xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/>
		</div>
		</td>
        <!-- END FOOTER -->
        <td></td>
      </tr>
    </table></td>
  </tr>
</table>
</body>

	</html>
</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>
	
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >
      <tr>
        <td class="iconleft"><img src="images/005.gif" /></td>
        <td colspan="2" style="padding-left:10px;" class="submenua"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
      </tr>
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
      <tr>
        <td class="iconleft"><img src="images/005.gif" /></td>
        <td colspan="2" style="padding-left:10px;"><a href="{@HREF}" class="submenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
      </tr>
			</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
      <tr>
        <td height="10" colspan="3"><div style="height:1px; background-color: #7A8989; background-repeat: repeat-x;"><span></span></div></td>
      </tr>
	</xsl:if>
</xsl:template>	

<xsl:template name="BOTTOM-MENU">   		
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>
		
<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
       <!-- when vizited inside-->
       	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID">
        <td ><div align="center"><a href="{@HREF}" class="bmenua" id="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></div></td>
           </xsl:when>
           <!-- when active-->
           
           <xsl:otherwise>
        <td ><div align="center"><a href="{@HREF}" class="bmenu" id="bmenu{position()}"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></div></td>
           </xsl:otherwise>
       </xsl:choose>
  		<xsl:if test="position()!=last()">
        <td class="iconfoot"><img src="images/008.gif" alt="" width="5" height="5"/></td>
  		</xsl:if>
</xsl:template>
	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}"><xsl:attribute name="content"><xsl:value-of select="." disable-output-escaping="yes"/></xsl:attribute></meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>
