<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="yes" encoding="utf-8" doctype-public="-//W3C//DTD HTML 4.01 Transitional//EN"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<html>
<!-- av-230 -->
		<head>
			<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
			<xsl:apply-templates select="META-TAGS"/>
			<link href="css/styles.css" rel="stylesheet" type="text/css" />
		</head>
<body style="margin: 0px;background-color: #FFFFFF;">
<table width="100%" height="100%" border="0" align="center" cellpadding="0" cellspacing="0" bgcolor="#FFFFFF" background-color="#FFFFFF;">
  <tr>
    <td width="231" valign="top" bgcolor="#FFFFFF" class="left" style="height: 100%;">
	<table width="100%" height="100%" border="0" cellpadding="0" cellspacing="0">
      <tr>
        <td width="100%" align="right" height="4"  valign="middle" bgcolor="#BEDEF7"><img src="images/tophr.jpg" width="230" height="4" /></td>
        </tr>
      <tr>
        <td height="212" align="center" valign="middle" bgcolor="#FFFFFF"><table width="80%" border="0" cellspacing="0" cellpadding="0">
            <tr>
              <td><div align="center"><a href="./"><img src="images/{LOGO/@NAME}" border="0" alt=""/></a></div></td>
            </tr>
            <tr>
              <td align="center" valign="middle" class="company"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></td>
            </tr>
            <tr>
              <td align="center" valign="middle" class="slogan"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></td>
            </tr>
        </table></td>
      </tr>
      <tr>
        <td align="center" valign="top" bgcolor="#FFFFFF">
		<table width="171" border="0" cellpadding="0" cellspacing="0">
            <xsl:call-template name="TOP-MENU"/>
        </table></td>
      </tr>
      <tr>
        <td bgcolor="#FFFFFF"><img src="images/blank.gif" width="1" height="20" /></td>
      </tr>
      <tr>
        <td style="background:url(images/hr.jpg) repeat-x;"><div style="width:1px; height:3px;"><spacer type="block" width="1" height="3" /></div></td>
      </tr>
      <tr>
        <td bgcolor="#FFFFFF"><img src="images/blank.gif" width="1" height="20" /></td>
      </tr>
      <tr>
        <td align="center" valign="top" bgcolor="#FFFFFF">
		<table width="171" border="0" cellpadding="0" cellspacing="0">
        <xsl:call-template name="SUB-MENU">
<xsl:with-param name="pageID" select="@ID"/>
</xsl:call-template>
        </table></td>
      </tr>
      <tr>
        <td bgcolor="#FFFFFF"><img src="images/blank.gif" width="1" height="20" /></td>
      </tr>

    </table></td>
    <td width="1" valign="top" background="images/vhr.jpg"><img src="images/vhr.jpg" width="1" height="23" /></td>
    <td height="550" valign="top" bgcolor="#FFFFFF" class="right"><table width="100%" height="100%" border="0" cellpadding="0" cellspacing="0">
      <tr>
        <td height="216" background="images/headbg.jpg"><img src="images/header.jpg" width="544" height="216" /></td>
      </tr>
      <tr>
        <td height="19" style="padding-left:30px;padding-top:16px;"><table border="0" cellpadding="0" cellspacing="0">
          <tr>
            <td class="text-header"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
            <td width="20"><img src="images/mainbullet.jpg" width="19" height="19" /></td>
          </tr>
        </table></td>
      </tr>
      <tr>
        <td width="100%" height="100%" valign="top"><table width="100%" height="100%" border="0" cellpadding="0" cellspacing="0">
<tr>
<td valign="top" class="pageContent" name="SB_stretch">
	<xsl:apply-templates select="PAGE-CONTENT"/>
</td>
</tr>
</table></td>
      </tr>


    </table></td>
  </tr>
  <tr>
  <td colspan="3">
<table width="100%"  border="0" cellpadding="0" cellspacing="0" bgcolor="#FFFFFF">
  <tr>
 <td height="45" colspan="3" align="center" valign="middle" background="images/bottommenubg.gif">
	<table border="0" cellpadding="0" cellspacing="0">
        <xsl:call-template name="BOTTOM-MENU"/>
    </table></td>
  </tr>
  <tr>
    <td height="40" colspan="3" align="center" valign="middle" class="footer"><xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/></td>
  </tr>
</table>
  </td>
  </tr>
</table>
</body>

	</html>
</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>
	
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >
			<tr>
              <td width="19"><img src="images/submenubullet.jpg" width="19" height="28" /></td>
              <td width="152" align="left" class="asubmenu"><span class="asubmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></span></td>
            </tr>
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
			<tr>
              <td width="19"><img src="images/submenubullet.jpg" width="19" height="28" /></td>
              <td width="152" align="left" class="submenu"><a href="{@HREF}" class="submenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
            </tr>
			</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
            <tr>
              <td colspan="2" background="images/submenuhr.jpg"><img src="images/submenuhr.jpg" width="171" height="3" /></td>
            </tr>
	</xsl:if>
</xsl:template>	

<xsl:template name="BOTTOM-MENU">   		
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>
		
<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
       <!-- when vizited inside-->
       	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID">
	        <td style="width: 20px;"><div align="center"><img src="images/bottommenubullet.gif" width="7" height="12" /></div></td>
           <td class="abmenu" style="padding-right:20px;"><a href="{@HREF}" class="abmenu" id="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           </xsl:when>
           <!-- when active-->
           
           <xsl:otherwise>
		   <td style="width: 20px;"><div align="center"><img src="images/bottommenubullet.gif" width="7" height="12" /></div></td>
           <td class="bmenu" style="padding-right:20px;"><a href="{@HREF}" class="bmenu" id="bmenu{position()}"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           </xsl:otherwise>
       </xsl:choose>
  		<xsl:if test="position()!=last()">
  		</xsl:if>
</xsl:template>
	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}"><xsl:attribute name="content"><xsl:value-of select="." disable-output-escaping="yes"/></xsl:attribute></meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>
