<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="yes" encoding="utf-8" doctype-public="-//W3C//DTD HTML 4.01 Transitional//EN"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<html>
<!-- av-246 -->
		<head>
			<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
			<xsl:apply-templates select="META-TAGS"/>
			<link href="css/styles.css" rel="stylesheet" type="text/css" />
		</head>
<body style="margin:0px;" bgcolor="#ffffff">
<center>
<table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0" bgcolor="#FFFFFF">
  <tr>
    <td width="100%" height="100%">
	<table width="100%" height="100%" border="0" align="center" cellpadding="0" cellspacing="0" class="body_line" >
      <tr >
        <td height="49" colspan="3" align="center" valign="middle" background="images/menu_bg.gif">
         <!-- MENU -->
		  <table height="29"  border="0" align="center" cellpadding="0" cellspacing="0">
            <tr>
<xsl:call-template name="TOP-MENU"/>
            </tr>
        </table>
		<!-- END MENU -->
		</td>
      </tr>
      <tr>
        <td height="197" colspan="3"><table width="100%" border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td width="34%" height="201" background="images/header1.gif">
			
			<!-- LOGO -->
			<table width="240" border="0" cellpadding="0" cellspacing="0">
                <tr>
                  <td style="padding-bottom:5px;"><div align="center"><a href="./"><img src="images/{LOGO/@NAME}" border="0" alt=""/></a>
</div></td>
                </tr>
                <tr>
                  <td width="240"><div align="center" class="text-header1"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/>
                  </div></td>
                </tr>
                <tr>
                  <td width="240"><div align="center" class="slogan"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/>
                  </div></td>
                </tr>
            </table>
			<!-- END LOGO -->
			
			
			</td>
            <td width="66%" background="images/header1.gif"><div align="right"><img src="images/header.jpg" width="523" height="198"/></div></td>
          </tr>
        </table></td>
      </tr>
      <tr>
        <td width="218" align="left" valign="top" class="line1"><table width="218" height="18"  border="0" cellpadding="0" cellspacing="0">
          <tr>
            <td width="218" height="18"></td>
          </tr>
        </table>
	<!-- SUBMENU -->
        <table width="161"  border="0" align="center" cellpadding="0" cellspacing="0">
<xsl:call-template name="SUB-MENU">
<xsl:with-param name="pageID" select="@ID"/>
</xsl:call-template>
        </table>
     <!-- END SUBMENU -->
		  </td>
        <td width="4" valign="top" bgcolor="#FFFFFF">
		<table width="100%"  border="0" cellspacing="0" cellpadding="0"><tr></tr>
        </table></td>
        <td valign="top" bgcolor="#FFFFFF" width="100%" height="100%">
		  <table width="534" height="6"  border="0" cellpadding="0" cellspacing="0">
            <tr>
              <td width="504" height="6"></td>
            </tr>
          </table>
		  <!-- CONTENT -->
		  <table width="100%" height="100%"   border="0" cellspacing="0" cellpadding="30">
            <tr>
              <td width="100%" height="100%"  align="left" valign="top" bgcolor="#FFFFFF">
			  
			  <table border="0" cellspacing="0" cellpadding="0">
                  <tr>
                    <td><span class="text-header"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></span></td>
                    <td class="icon"><img src="images/txtheader_bullet.gif" width="20" height="19"/> </td>
                  </tr>
                </table>
                <table width="100%" height="100%"   border="0" cellspacing="0" cellpadding="0">
                  <tr>
                    <td width="100%" height="100%" valign="top" name="SB_stretch" class="text"><xsl:apply-templates select="PAGE-CONTENT"/></td>
                  </tr>
                </table></td>
            </tr>
          </table> 	
		  <!-- END CONTENT -->
	      </td>
      </tr>
      <tr>
        <td height="51" colspan="3" background="images/footer_bg.gif">
		<!-- BOTTOM MENU -->
          <table height="46"  border="0" align="center" cellpadding="0" cellspacing="0">
            <tr >
<xsl:call-template name="BOTTOM-MENU"/>
            </tr>
        </table>
		<!-- END BOOTTOM MENU -->
		</td>
      </tr>
    </table></td>
  </tr>
	  <tr bgcolor="#FFFFFF">
        <td height="50">
		<!-- FOOTER -->
		<div align="center" class="copyright"><xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/>
</div>
		<!-- END FOOTER -->
		</td>
      </tr>
</table>
</center>
</body>

	</html>
</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>
	
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >
          <tr>
            <td width="183" class="submenu"><span class="submenua"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></span></td>
            <td width="13" height="30"><div align="center"><img src="images/submenu_bullet.gif" width="9" height="9"/></div></td>
            </tr>
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
          <tr>
            <td width="183" class="submenu"><a href="{@HREF}" class="submenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
            <td width="13" height="30"><div align="center"><img src="images/submenu_bullet.gif" width="9" height="9"/></div></td>
            </tr>
			</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
          <tr>
            <td colspan="2"><div style="height:1px; background-color: #C2C2C2; background-repeat: repeat-x;"><span></span></div></td>
          </tr>
	</xsl:if>
</xsl:template>	

<xsl:template name="BOTTOM-MENU">   		
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>
		
<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
       <!-- when vizited inside-->
       	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID">
              <td class="bmenua" ><a href="{@HREF}" class="bmenua" id="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           </xsl:when>
           <!-- when active-->
           
           <xsl:otherwise>
              <td class="bmenu" ><a href="{@HREF}" class="bmenu" id="bmenu{position()}"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           </xsl:otherwise>
       </xsl:choose>
  		<xsl:if test="position()!=last()">
              <td width="12"><div align="center"><img src="images/footer_bullet.gif" width="6" height="6" hspace="16"/></div></td>
  		</xsl:if>
</xsl:template>
	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}"><xsl:attribute name="content"><xsl:value-of select="." disable-output-escaping="yes"/></xsl:attribute></meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>
