<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="yes" encoding="utf-8" doctype-public="-//W3C//DTD HTML 4.01 Transitional//EN"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<html>
<!-- eug-30 -->
		<head>
			<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
			<xsl:apply-templates select="META-TAGS"/>
			<link href="css/styles.css" rel="stylesheet" type="text/css" />
		</head>
<body style="margin:0px;" bgcolor="#ffffff">
<center>
<table width="100%" height="100%" border="0" cellpadding="0" cellspacing="0">
  <tr>
    <td height="89" colspan="3" background="images/mbg.jpg">
	<table width="100%"  border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td width="45" style="padding:0 10px;"><a href="./"><img src="images/{LOGO/@NAME}" border="0" alt=""/></a>
</td>
        <td width="250" class="company"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/>
</td>
        <td>
		<table  border="0" align="center" cellpadding="0" cellspacing="0">
          <tr>
<xsl:call-template name="TOP-MENU"/>
          </tr>
        </table>
		</td>
      </tr>
    </table>
	</td>
  </tr>
  <tr>
    <td height="225" colspan="3" background="images/hbg.jpg">
	<table width="100%" border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td height="225" align="right" background="images/header.jpg" style="background-repeat:no-repeat">
		<table width="300" border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td class="slogan">
			<xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/>
			</td>
          </tr>
        </table></td>
      </tr>
    </table></td>
  </tr>
  <tr>
    <td width="213" height="27" bgcolor="#FFFFFF"><img src="images/blank.gif" width="213" height="1"/></td>
    <td width="130" rowspan="2" valign="top" background="images/bg.gif">
	<img src="images/h2.gif" width="130" height="86"/></td>
    <td width="100%" bgcolor="#FFFFFF"><img src="images/blank.gif" width="437" height="1"/></td>
  </tr>
  <tr>
    <td align="center" valign="top" background="images/bg.gif" style="padding:0 10px"><br/>
      <table width="170" border="0" cellspacing="0" cellpadding="0">
<xsl:call-template name="SUB-MENU">
<xsl:with-param name="pageID" select="@ID"/>
</xsl:call-template>
    </table>
	<img src="images/blank.gif" width="190" height="1"/>
	</td>
    <td valign="top" background="images/bg.gif" height="100%"><br/>
      <table  border="0" cellspacing="0" cellpadding="0">
        <tr>
          <td class="pathway"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
          <td width="30" align="right"><img src="images/title_point.gif" width="19" height="17"/></td>
        </tr>
      </table>
    <br/>
    <table width="100%"  border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td style="padding-right:10px" class="pageContent" name="SB_stretch">
<xsl:apply-templates select="PAGE-CONTENT"/>
		</td>
      </tr>
    </table>
	</td>
  </tr>
  <tr bgcolor="#FFFFFF">
    <td height="80" colspan="3" style="text-align: center;">
	<table  border="0" cellspacing="0" cellpadding="0" align="center">
      <tr>
        <td class="copyright" style="padding:0 5px;">
		<xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/>
		</td>
      </tr>
    </table></td>
  </tr>
</table>
</center>
</body>
</html>
</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>
	
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >
      <tr>
        <td width="40" align="right" style="padding:5px 5px">
		<img src="images/01.gif" width="10" height="10"/></td>
        <td width="130" align="left"  class="smenu" style="font-weight:bold"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
      </tr>
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
      <tr>
        <td width="40" align="right" style="padding:5px 5px"><img src="images/01.gif" width="10" height="10"/></td>
        <td width="130" align="left"><a href='{@HREF}'  class="smenua"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
      </tr>
			</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
	  <tr>
        <td colspan="2" height="5"></td>
      </tr>
      <tr>
        <td colspan="2" background="images/sbmbg.gif"><img src="images/sbmbg.gif" width="13" height="2"/></td>
      </tr>
	  <tr>
        <td colspan="2" height="5"></td>
      </tr>
	</xsl:if>
</xsl:template>	

<xsl:template name="BOTTOM-MENU">   		
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>
		
<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
       <!-- when vizited inside-->
       	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID">
        <td width="1"><div style="height:20px;width:1px;background-color:#888888"></div></td>
        <td style="padding:0 5px;" class="bmenua"><a href='{@HREF}'  class="bmenua" id="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           </xsl:when>
           <!-- when active-->
           
           <xsl:otherwise>
        <td width="1"><div style="height:20px;width:1px;background-color:#888888"></div></td>
        <td style="padding:0 5px;" class="bmenua"><a href='{@HREF}'  class="bmenua" id="bmenu{position()}"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           </xsl:otherwise>
       </xsl:choose>
  		<xsl:if test="position()!=last()">
  		</xsl:if>
</xsl:template>
	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}"><xsl:attribute name="content"><xsl:value-of select="." disable-output-escaping="yes"/></xsl:attribute></meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>
