<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="yes" encoding="utf-8" doctype-public="-//W3C//DTD HTML 4.01 Transitional//EN"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<html>
<!-- eug-32 -->
		<head>
			<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
			<xsl:apply-templates select="META-TAGS"/>
			<link href="css/styles.css" rel="stylesheet" type="text/css" />
		</head>
<!--start-->
<body background="images/bg.jpg" bottommargin="0" leftmargin="0" marginheight="0" marginwidth="0" rightmargin="0" topmargin="0">
<table width="100%" height="100%" border="0" cellpadding="0" cellspacing="0" background="images/bg.jpg">
  <tr>
    <td width="66" height="76" rowspan="3"></td>
    <td height="76"><table width="100%" height="76" border="0" cellpadding="0" cellspacing="0">
      <tr>
        <td width="10" rowspan="2"><img src="images/blank.gif" width="10" height="76" /></td>
        <td width="152" align="center" valign="middle" bgcolor="#FFFFFF" style="padding-top:5px;padding-left:5px"><table border="0" cellpadding="0" cellspacing="0">
            <tr>
              <td rowspan="2" align="center" valign="top"><a href="./"><img src="images/{LOGO/@NAME}" border="0" alt=""/></a></td>
              <td class="company"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/>
</td>
            </tr>
            <tr>
              <td class="slogan" valign="top"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/> </td>
            </tr>
        </table></td>
        <td rowspan="2" align="left" valign="middle" bgcolor="#6CAC31" style="padding-left:40px"><table border="0" cellpadding="0" cellspacing="0">
            <tr>
              <xsl:call-template name="TOP-MENU"/>
            </tr>
        </table></td>
        <td width="20" rowspan="2"><img src="images/blank.gif" width="20" height="76" /></td>
      </tr>
      <tr>
        <td height="5" align="center" valign="middle" bgcolor="#EBE9ED"><img src="images/blank.gif" width="152" height="5" /></td>
      </tr>
    </table></td>
    <td width="48" height="76" rowspan="3"></td>
  </tr>
  <tr>
    <td height="215" align="right"><table width="100%" height="215" border="0" cellpadding="0" cellspacing="0" background="images/headbg.gif">
      <tr>
        <td height="215" align="right"><img src="images/header.gif" width="411" height="215" /></td>
        <td width="179" align="right" valign="bottom"><img src="images/corner.gif" width="179" height="70" /></td>
      </tr>
    </table></td>
  </tr>
  <tr>
    <td><table width="100%" height="100%" border="0" cellpadding="0" cellspacing="0">
      <tr>
        <td width="10" background="images/corner2.gif"><img src="images/blank.gif" width="10" height="10" /></td>
        <td align="left" valign="top" bgcolor="#FFFFFF" style="padding-top:20px"><table border="0" cellspacing="0" cellpadding="0">
            <tr>
              <td class="text-header" style="padding-left:20px"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
              <td width="10"><img src="images/pagetitle.jpg" width="39" height="22" /></td>
            </tr>
          </table>
            <table width="100%" border="0" cellspacing="0" cellpadding="20">
              <tr>
	<td class="pageContent" name="SB_stretch">
	<xsl:apply-templates select="PAGE-CONTENT"/>
	</td>
              </tr>
          </table></td>
        <td width="257" align="center" valign="top" background="images/submenubg.gif">
		<table width="257" border="0" cellpadding="0" cellspacing="0" background="images/menubg.gif">
            <tr>
              <td align="center"><table width="200" border="0" cellpadding="0" cellspacing="0">
            <xsl:call-template name="SUB-MENU">
			<xsl:with-param name="pageID" select="@ID"/>
			</xsl:call-template>
</table></td>
            </tr>
         </table><table border="0" cellpadding="0" cellspacing="0" background="images/menubg.gif">
            <tr>
              <td colspan="4"><img src="images/blank.gif" width="257" height="10" /></td>
            </tr>
            <tr>
              <td colspan="4" bgcolor="#FFFFFF"><img src="images/blank.gif" width="257" height="10" /></td>
            </tr>
        </table></td>
      </tr>
    </table></td>
  </tr>
  <tr>
    <td width="66" height="76" background="images/bbg.jpg"><img src="images/blank.gif" width="66" height="76" /></td>
    <td height="76"><table width="100%" height="100%" border="0" cellpadding="0" cellspacing="0" bgcolor="#FFFFFF">
      <tr>
        <td width="10" background="images/bbg.jpg"><img src="images/blank.gif" width="10" height="76" /></td>
        <td><img src="images/blank.gif" width="100%" height="76" /></td>
        <td width="230" align="center" valign="middle" class="footer"><xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/></td>
        <td width="28" background="images/bbg.jpg"><img src="images/blank.gif" width="28" height="76" /></td>
      </tr>
    </table></td>
    <td width="48" height="76" background="images/bbg.jpg"><img src="images/blank.gif" width="48" height="76" /></td>
  </tr>
</table>
</body>
<!--end-->
</html>
</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>
	
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >

            <tr>
              <td width="175" align="left" bgcolor="#999999" class="submenu" style="padding:10 20px"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
              <td bgcolor="#999999" width="25"><img src="images/submenubullet.gif" width="5" height="9" /></td>
            </tr>

		</xsl:when>
		<xsl:otherwise>
		<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">

            <tr>
              <td width="175" align="left" style="padding:10 20px"><a href="{@HREF}" class="asubmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
              <td width="25"><img src="images/submenubullet.gif" width="5" height="9" /></td>
            </tr>

		</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
</xsl:template>	

<xsl:template name="BOTTOM-MENU">   		
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>
		
<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
       <!-- when vizited inside-->
       	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID">

<td><a href='{@HREF}'  class="bmenua" id="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>

	   </xsl:when>

           <!-- when active-->
           
           <xsl:otherwise>

<td><a href='{@HREF}'  class="bmenua" id="bmenu{position()}"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>

	   </xsl:otherwise>
       </xsl:choose>
  		<xsl:if test="position()!=last()">

<td width="5"></td>

  		</xsl:if>
</xsl:template>
	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}"><xsl:attribute name="content"><xsl:value-of select="." disable-output-escaping="yes"/></xsl:attribute></meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>
